Bug 305686 (in cahoots with bug 305131), Localized Mac builds need EULA and updated packaging. Specify packaging attributes for localized builds. r=bsmedberg

This commit is contained in:
mark%moxienet.com 2005-08-26 19:01:45 +00:00
parent 5cec95c907
commit 1d4e9beb21
3 changed files with 21 additions and 7 deletions

View File

@ -45,7 +45,7 @@ include $(DEPTH)/config/autoconf.mk
include $(topsrcdir)/config/config.mk
run_for_effects := $(shell if ! test -d $(DIST); then $(NSINSTALL) -D $(DIST); fi)
run_for_effects := $(shell if ! test -d $(DIST); then $(NSINSTALL) -D $(DIST); fi; if ! test -d $(DIST)/branding; then $(NSINSTALL) -D $(DIST)/branding; fi)
_ABS_DIST := $(shell cd $(DIST) && pwd)
ifdef MOZ_BRANDING_DIRECTORY
@ -137,6 +137,13 @@ ifdef MOZ_BRANDING_DIRECTORY
@$(MAKE) -C $(DEPTH)/$(MOZ_BRANDING_DIRECTORY)/locales AB_CD=$* XPI_NAME=locale-$*
endif
ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
MOZ_PKG_MAC_DSSTORE=$(_ABS_DIST)/branding/dsstore
MOZ_PKG_MAC_BACKGROUND=$(_ABS_DIST)/branding/background.png
MOZ_PKG_MAC_ICON=$(_ABS_DIST)/branding/disk.icns
MOZ_PKG_MAC_RSRC=$(_ABS_DIST)/branding/license.r
endif
PACKAGER_NO_LIBS = 1
include $(topsrcdir)/toolkit/mozapps/installer/packager.mk
include $(call EXPAND_LOCALE_SRCDIR,toolkit/locales)/installer/windows/charset.mk

View File

@ -44,7 +44,7 @@ include $(DEPTH)/config/autoconf.mk
include $(topsrcdir)/config/config.mk
run_for_effect := $(shell if ! test -d $(DIST); then $(NSINSTALL) -D $(DIST); fi)
run_for_effect := $(shell if ! test -d $(DIST); then $(NSINSTALL) -D $(DIST); fi; if ! test -d $(DIST)/branding; then $(NSINSTALL) -D $(DIST)/branding; fi)
_ABS_DIST := $(shell cd $(DIST) && pwd)
ifdef MOZ_BRANDING_DIRECTORY
@ -94,6 +94,13 @@ ifdef MOZ_BRANDING_DIRECTORY
@$(MAKE) -C $(DEPTH)/$(MOZ_BRANDING_DIRECTORY)/locales AB_CD=$* XPI_NAME=locale-$*
endif
ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
MOZ_PKG_MAC_DSSTORE=$(_ABS_DIST)/branding/dsstore
MOZ_PKG_MAC_BACKGROUND=$(_ABS_DIST)/branding/background.png
MOZ_PKG_MAC_ICON=$(_ABS_DIST)/branding/disk.icns
MOZ_PKG_MAC_RSRC=$(_ABS_DIST)/branding/license.r
endif
PACKAGER_NO_LIBS = 1
include $(topsrcdir)/toolkit/mozapps/installer/packager.mk
include $(call EXPAND_LOCALE_SRCDIR,toolkit/locales)/installer/windows/charset.mk

View File

@ -122,7 +122,7 @@ UNMAKE_PACKAGE = \
set -ex; \
function cleanup() { \
hdiutil detach $${DEV_NAME} || \
(sleep 5 && hdiutil detach $${DEV_NAME} -force); \
{ sleep 5 && hdiutil detach $${DEV_NAME} -force; }; \
return $$1 && $$?; \
}; \
unset NEXT_ROOT; \
@ -132,15 +132,15 @@ UNMAKE_PACKAGE = \
MOUNTPOINT=`perl -n -e 'split(/\/dev\/disk[^ ]*/,$$_,2);if($$_[1]=~/(\/.*)/) {print $$1."\n";exit;}'< hdi.output` || cleanup 1; \
rsync -a "$${MOUNTPOINT}/$(_APPNAME)" $(MOZ_PKG_APPNAME) || cleanup 1; \
test -n "$(MOZ_PKG_MAC_DSSTORE)" && \
(rsync -a "$${MOUNTPOINT}/.DS_Store" "$(MOZ_PKG_MAC_DSSTORE)" || cleanup 1); \
{ rsync -a "$${MOUNTPOINT}/.DS_Store" "$(MOZ_PKG_MAC_DSSTORE)" || cleanup 1; }; \
test -n "$(MOZ_PKG_MAC_BACKGROUND)" && \
(rsync -a "$${MOUNTPOINT}/.background/`basename "$(MOZ_PKG_MAC_BACKGROUND)"`" "$(MOZ_PKG_MAC_BACKGROUND)" || cleanup 1); \
{ rsync -a "$${MOUNTPOINT}/.background/`basename "$(MOZ_PKG_MAC_BACKGROUND)"`" "$(MOZ_PKG_MAC_BACKGROUND)" || cleanup 1; }; \
test -n "$(MOZ_PKG_MAC_ICON)" && \
(rsync -a "$${MOUNTPOINT}/.VolumeIcon.icns" "$(MOZ_PKG_MAC_ICON)" || cleanup 1); \
{ rsync -a "$${MOUNTPOINT}/.VolumeIcon.icns" "$(MOZ_PKG_MAC_ICON)" || cleanup 1; }; \
cleanup 0; \
if test -n "$(MOZ_PKG_MAC_RSRC)" ; then \
hdiutil unflatten $(UNPACKAGE) && \
(/Developer/Tools/DeRez -skip plst -skip blkx $(UNPACKAGE) > "$(MOZ_PKG_MAC_RSRC)" || (hdiutil flatten $(UNPACKAGE) && false)) && \
{ /Developer/Tools/DeRez -skip plst -skip blkx $(UNPACKAGE) > "$(MOZ_PKG_MAC_RSRC)" || { hdiutil flatten $(UNPACKAGE) && false; }; } && \
hdiutil flatten $(UNPACKAGE); \
fi; \
$(NULL)